- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PortableGroup::ObjectGroupManager Interface Reference

`import "PortableGroup.idl";`

List of all members.

## Public Member Functions
ObjectGroup | create_member (in ObjectGroup object_group, in Location the_location, in _TypeId type_id, in Criteria the_criteria) raises (ObjectGroupNotFound, MemberAlreadyPresent, NoFactory, ObjectNotCreated, InvalidCriteria, CannotMeetCriteria)
ObjectGroup | add_member (in ObjectGroup object_group, in Location the_location, in Object member) raises (ObjectGroupNotFound, MemberAlreadyPresent, ObjectNotAdded)
ObjectGroup | remove_member (in ObjectGroup object_group, in Location the_location) raises (ObjectGroupNotFound, MemberNotFound)
Locations | locations_of_members (in ObjectGroup object_group) raises (ObjectGroupNotFound)
ObjectGroups | groups_at_location (in Location the_location)
ObjectGroupId | get_object_group_id (in ObjectGroup object_group) raises (ObjectGroupNotFound)
ObjectGroup | get_object_group_ref (in ObjectGroup object_group) raises (ObjectGroupNotFound)
Object | get_member_ref (in ObjectGroup object_group, in Location loc) raises (ObjectGroupNotFound, MemberNotFound)
ObjectGroup | get_object_group_ref_from_id (in ObjectGroupId group_id) raises (ObjectGroupNotFound)

## Member Function Documentation

ObjectGroup PortableGroup::ObjectGroupManager::add_member | ( | in ObjectGroup | object_group,
|  | in Location | the_location,
|  | in Object | member |
| ) |  |  | raises (ObjectGroupNotFound, MemberAlreadyPresent, ObjectNotAdded)

ObjectGroup PortableGroup::ObjectGroupManager::create_member | ( | in ObjectGroup | object_group,
|  | in Location | the_location,
|  | in _TypeId | type_id,
|  | in Criteria | the_criteria |
| ) |  |  | raises (ObjectGroupNotFound, MemberAlreadyPresent, NoFactory, ObjectNotCreated, InvalidCriteria, CannotMeetCriteria)

Object PortableGroup::ObjectGroupManager::get_member_ref | ( | in ObjectGroup | object_group,
|  | in Location | loc |
| ) |  |  | raises (ObjectGroupNotFound, MemberNotFound)

ObjectGroupId PortableGroup::ObjectGroupManager::get_object_group_id | ( | in ObjectGroup | object_group | ) | raises (ObjectGroupNotFound)

ObjectGroup PortableGroup::ObjectGroupManager::get_object_group_ref | ( | in ObjectGroup | object_group | ) | raises (ObjectGroupNotFound)

ObjectGroup PortableGroup::ObjectGroupManager::get_object_group_ref_from_id | ( | in ObjectGroupId | group_id | ) | raises (ObjectGroupNotFound)

ObjectGroups PortableGroup::ObjectGroupManager::groups_at_location | ( | in Location | the_location | ) |

Locations PortableGroup::ObjectGroupManager::locations_of_members | ( | in ObjectGroup | object_group | ) | raises (ObjectGroupNotFound)

ObjectGroup PortableGroup::ObjectGroupManager::remove_member | ( | in ObjectGroup | object_group,
|  | in Location | the_location |
| ) |  |  | raises (ObjectGroupNotFound, MemberNotFound)

The documentation for this interface was generated from the following file:

- PortableGroup.idl